DCMTK - Feature #711
Add new --socket-timeout option to all networking tools

2017-01-19 17:11 - J6rg Riesmeier

Status: New Start date: 2017-01-19
Priority: Normal Due date:

Assignee: % Done: 40%
Category: Application Estimated time: 0:00 hour

Target version:

Module: dcmnet, demwIm, demqgrdb Compiler:

Operating System:

Description

With commit 42c7fe7, the storescu and storescp tools got a new --socket-timeout option. This option should also be added to all
other networking tools in the DCMTK.

History

#1 - 2017-03-24 12:50 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2017-12-12 14:41 - J6rg Riesmeier
- % Done changed from 0 to 30

With commit 6aceba7, the echoscu also got the --socket-timeout option.

#3 - 2018-02-05 19:36 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-02-24 18:36 - Jorg Riesmeier
- % Done changed from 30 to 40

With commit 9b1bf11, the findscu now also has a --socket-timeout option.

#5 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
